Bug 288562 - Support drag and drop file transfer from contact applet
Summary: Support drag and drop file transfer from contact applet
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: contact-applet (show other bugs)
Version: git-latest
Platform: Unlisted Binaries Linux
: NOR wishlist
Target Milestone: Future
Assignee: Telepathy Bugs
URL:
Keywords: junior-jobs
Depends on:
Blocks:
 
Reported: 2011-12-09 13:07 UTC by Daniele E. Domenichelli
Modified: 2013-11-29 12:35 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniele E. Domenichelli 2011-12-09 13:07:52 UTC
We should support drag and dropping a file over a contact applet to start a file transfer
Comment 1 Martin Klapetek 2012-01-09 15:45:45 UTC
Not done in time for 0.3, reassigning it to 0.4.
Comment 2 Rohan Garg 2012-03-19 15:25:31 UTC
This seems to be implemented as well, except in the dolphin plugin where it opens 3 different dialogs for 3 different files.
Comment 3 Alexandr Akulich 2013-11-29 12:35:36 UTC
Git commit 4e8af8f9ade45ee2a9f97d8748f3f6beab119868 by Alexandr Akulich.
Committed on 29/11/2013 at 12:21.
Pushed by akulichalexandr into branch 'master'.

Contact: Implemented files transfer by drag'n'drop.
REVIEW: 114132

M  +14   -0    contact/src/contact-wrapper.cpp
M  +1    -0    contact/src/contact-wrapper.h
M  +12   -0    contact/src/declarative/contents/ui/Avatar.qml

http://commits.kde.org/telepathy-contact-applet/4e8af8f9ade45ee2a9f97d8748f3f6beab119868